#ifndef FORM_H
#define FORM_H

#include <QWidget>
#include "adcore.h"
#include "ad_graphics.h"
#include "touchbuttframe.h"


namespace Ui {
    class Form;
}

class Form : public QWidget
{
    Q_OBJECT

public:
    explicit Form(QWidget *parent = 0);
    ~Form();

private slots:
    void on_pbNextWave_clicked();
    void towerBuild(int index);
    void towerMorph(int index);
    void add_tow(QPoint pnt, bool shift);
    void selectedTowerChanged(QPoint id);
    void cancel();

    void on_sbSpeed_valueChanged(double arg1);

    void on_pbSell_clicked();

private:
    void timerEvent(QTimerEvent *);
    Ui::Form *ui;
    int buildTowerId;
    AD_Core core;
    AD_Graphics * graphics;
    TouchButtFrame * morphtbf, * tbf;
    QList<QPixmap> cursors;
    QList<int> buildTowers;

//signals:
//    void tower_killed();
};

#endif // FORM_H
